#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnome-games
Version		:	40.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Simple game launcher for GNOME

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://gitlab.gnome.org/GNOME/gnome-games/-/archive/

Source0		:	%{name}-%{version}.tar.xz
Patch0		:	%{name}-%{version}-tracker3.patch
Patch1		:	%{name}-%{version}-meson.patch
#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils

BuildRequires	:	pkgconfig(grilo-0.3)
BuildRequires	:	pkgconfig(libhandy-1) >= 0.90.0
BuildRequires	:	pkgconfig(librsvg-2.0)
BuildRequires	:	pkgconfig(manette-0.2) >= 0.2.0
BuildRequires	:	pkgconfig(retro-gtk-1)
BuildRequires	:	pkgconfig(tracker-sparql-3.0)

Requires	:	hicolor-icon-theme

#-----------------------------------------------------------------------------
%description
'%{name}' is a puzzle game, previously known as Same GNOME.
The goal is to remove the objects in as few moves as possible.
Similar objects that are adjacent to each other are removed as
a group. The remaining objects then collapse to fill in the
gaps and new groups are formed. You cannot remove single objects. 

#-----------------------------------------------------------------------------
%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README.md AUTHORS HACKING.md
%{_bindir}/%{name}
%{_libdir}/%{name}/plugins/libgames-*-plugin.so
%{_libdir}/%{name}/plugins/*.plugin
%{_libexecdir}/%{name}-search-provider
%{_datadir}/%{name}/options/*.options
%{_datadir}/gnome-shell/search-providers/org.gnome.Games.SearchProvider.ini
%{_datadir}/dbus-1/services/org.gnome.Games*.service
%{_datadir}/applications/org.gnome.Games.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Games.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Games.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Games-symbolic.svg
%{_datadir}/metainfo/org.gnome.Games.appdata.xml

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor > /dev/null 2>&1
%{_bindir}/update-desktop-database > /dev/null 2>&1
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  mkdir -p %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  %{_bindir}/gdk-pixbuf-query-loaders --update-cache
  fi

#=============================================================================
%prep
%setup -q
%patch0 -p1
%patch1 -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
meson                                                   \
        --prefix=%{_prefix}                             \
        --includedir=%{_includedir}                     \
        --libexecdir=%{_libexecdir}                     \
        --sysconfdir=%{_sysconfdir}                     \
        --bindir=%{_bindir}                             \
        --sbindir=%{_sbindir}                           \
        --mandir=%{_mandir}                             \
        --libdir=%{_libdir}                             \
        --infodir=%{_infodir}                           \
	build

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
#appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog

